commit: 2e8078836ee2a75acf9c4ae29c9090439a1e43fd
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 11 15:31:56 2015 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Fri Dec 11 15:32:00 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2e807883
dev-python/xcffib: Version Bump
Package-Manager: portage-2.2.26
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
dev-python/xcffib/Manifest | 1 +
dev-python/xcffib/xcffib-0.4.0.ebuild | 34 ++++++++++++++++++++++++++++++++++
2 files changed, 35 insertions(+)
diff --git a/dev-python/xcffib/Manifest b/dev-python/xcffib/Manifest
index 1be3050..7ded8d9 100644
--- a/dev-python/xcffib/Manifest
+++ b/dev-python/xcffib/Manifest
@@ -1 +1,2 @@
DIST xcffib-0.3.4.tar.gz 65481 SHA256
9c54f835351a1622495322f314ee58ca5cb498fe8a2123a3905a25c1fd66850b SHA512
7c70dc6ae37531e6e9649a9055e4740872fc071620825d647525a236cad95e24e2c5f950e5f916b3742588a3c79363fe56431aba0488d939930398022c832be2
WHIRLPOOL
9b99ae6959bea33df013f21f897edba89d0b66b775ed1c019f5c2a61a23293fb26a0bf3311aa225a05e862bac95ac3d4bcad50023a56dde83a2b12b968b4a987
+DIST xcffib-0.4.0.tar.gz 74715 SHA256
94a3d3d48289a7e9e0687b1f9a5f69de6e6449ac98df0f79773b286a72f79f8a SHA512
ac144ffdfb559ae2ee8d4a23c937989ca4e28f913b2d27f1240725c8398ede1a7a010a0d861998151923d235d5e04799d8df8496c9ec8005a2286825dcd59bd7
WHIRLPOOL
f67aba9f217a2aa408945f4f2703853385ce8170d069660f9433410c13ca41bbf9ba5fd9729509192996d34d934626a1c0f91e08a64e44b4aef43fb4e88b5c74
diff --git a/dev-python/xcffib/xcffib-0.4.0.ebuild
b/dev-python/xcffib/xcffib-0.4.0.ebuild
new file mode 100644
index 0000000..c75e96b
--- /dev/null
+++ b/dev-python/xcffib/xcffib-0.4.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+PYTHON_COMPAT=( python2_7 python3_{3,4} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="A drop in replacement for xpyb, an XCB python binding"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+HOMEPAGE="https://github.com/tych0/xcffib"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+COMMON_DEPEND="x11-libs/libxcb"
+
+RDEPEND="
+ $(python_gen_cond_dep '>=dev-python/cffi-1.1:=[${PYTHON_USEDEP}]'
'python*')
+ $(python_gen_cond_dep '>=virtual/pypy-2.6.0' pypy )
+ dev-python/six[${PYTHON_USEDEP}]
+ ${COMMON_DEPEND}"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ ${COMMON_DEPEND}
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+
+python_test() {
+ nosetests -d -v || die
+}